PDA

View Full Version : Problem after install with HTTP 500 error



ChadRT
10-06-2007, 04:37 AM
Just one site out of all my sites is messed up when you visit http://speakyourmindhosting.com you get a 500 error but /support is ok and support.speakyourmindhosting.com is ok and all the rest of the sites are ok I am really having a devil of a time trying to figure out what happened. I am assuming it is with php that was installed here is my conf file for the custombuild:


#PHP settings. default_php possible values - 4 or 5
default_php=5
php4_cli=no
php4_cgi=yes
php5_cli=yes
php5_cgi=no
zend=no

#Possible values - 5.0 or 5.1 (4.1 is possible too, but it's EOL)
mysql=5.0
mysql_inst=yes

#Possible values - 1.3, 2.0 or 2.2
apache_ver=2.2

#Web applications
phpmyadmin=yes
squirrelmail=yes
roundcube=yes

#Mail options
mail-header-patch=yes
dovecot=yes
eximconf=no

#FTP options
proftpd=yes

#Custombuild options
clean=yes

Should I have both CLI's and both CGI's I thought that you were only allowed to have one CLI? Anyway thoughts anyone (slap in the head for messing with a working thing is ok too!!) Is there a way to make the site use php4 instead maybe that is the problem!! Thank you.

Chad

smtalk
10-06-2007, 04:42 AM
Check suPHP log and apache error_log, I'm sure something is wrong with file (folder) ownership/permissions, or .htaccess file.

ChadRT
10-08-2007, 02:15 AM
Ok I solved my problem by switching changing the options.conf to php4 cli and cgi but turned off both cli and cgi php5 entries. I also added the zend=yes option (which may have been my problem to begin with I dont know!) So now here is a big question of the century??????

If I enable everything aka:
#PHP settings. default_php possible values - 4 or 5
default_php=5
php4_cli=yes
php4_cgi=yes
php5_cli=yes
php5_cgi=yes
zend=yes

(If I am allowed to do this??) Then how do I tell site ABC.com that it uses php4 and site DEF.com that it uses php5? I was with a host awhile back that offered the ability to change which version based on the .htaccess file in that directory. It worked quite nicely but I dont know how to achieve that effect since it apparent that my site needs 4 but I want php5 functionality to be available.


Thank you everyone!!!
Chad

ChadRT
10-09-2007, 04:27 PM
Any ideas on the aformentioned thoughts? Just thought I would check. I really would like to get php5 working as there is some software that requires it and thought it would be nice to use. Thank you!!!